#pragma once
#include "../vulkan.h"
namespace vulkanapi {
	class Device;
	class RenderPass;
	class RenderTarget;
	class Image;
	class FrameBuffer {
	protected:
		VkFramebuffer mPtr;
		vector<VkImageView> mSurfaces;
	public:
		FrameBuffer(Device& device, RenderTarget* target,RenderPass* pass, vector<VkImageView>& surfaces);
	
		VkFramebuffer& Ptr() {
			return mPtr;
		}
	};
}